Update document version oversight settings
curl --request PATCH \
--url https://staging.api.us.aptlydone.com/document/v1/documents/settings/{id}/version-oversight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentOversightSettings": {
"id": "550e8400-e29b-41d4-a716-446655440012",
"owner": "true",
"responsibleAuthority": "true",
"approvalAuthority": "true",
"generateApprovalAction": "true",
"reviewerAuthority": "true",
"generateReviewAction": "true"
},
"documentVersionTypeInfo": [
{
"id": "550e8400-e29b-41d4-a716-446655440012",
"status": "true"
}
]
}
'import requests
url = "https://staging.api.us.aptlydone.com/document/v1/documents/settings/{id}/version-oversight"
payload = {
"documentOversightSettings": {
"id": "550e8400-e29b-41d4-a716-446655440012",
"owner": "true",
"responsibleAuthority": "true",
"approvalAuthority": "true",
"generateApprovalAction": "true",
"reviewerAuthority": "true",
"generateReviewAction": "true"
},
"documentVersionTypeInfo": [
{
"id": "550e8400-e29b-41d4-a716-446655440012",
"status": "true"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentOversightSettings: {
id: '550e8400-e29b-41d4-a716-446655440012',
owner: 'true',
responsibleAuthority: 'true',
approvalAuthority: 'true',
generateApprovalAction: 'true',
reviewerAuthority: 'true',
generateReviewAction: 'true'
},
documentVersionTypeInfo: [{id: '550e8400-e29b-41d4-a716-446655440012', status: 'true'}]
})
};
fetch('https://staging.api.us.aptlydone.com/document/v1/documents/settings/{id}/version-oversight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-12T09:12:23.874Z",
"message": "Success",
"data": {
"documentOversightSettings": {
"documentId": "550e8400-e29b-41d4-a716-446655440100",
"tenantId": "550e8400-e29b-41d4-a716-446655440100",
"owner": "true",
"responsibleAuthority": "true",
"approvalAuthority": "true",
"generateApprovalAction": "true",
"reviewerAuthority": "true",
"generateReviewAction": "true"
},
"documentVersionTypeInfo": [
{
"documentId": "550e8400-e29b-41d4-a716-446655440100",
"documentVersionTypeId": "550e8400-e29b-41d4-a716-446655440100",
"documentVersionTypeValue": "Version"
}
],
"oversightActionAssociation": [
{
"isApprovalActionExist": "true/false",
"isReviewerActionExist": "true/false"
}
]
}
}Documents
Update document version oversight settings
PATCH
/
v1
/
documents
/
settings
/
{id}
/
version-oversight
Update document version oversight settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Document settings updated successfully
Was this page helpful?
āI